msgpack::type::ext Class Reference

`#include <ext.hpp>`

## Public Member Functions

| ext ()
| ext (int8_t t, const char *p, uint32_t s)
| ext (int8_t t, uint32_t s)
| ext (ext_ref const &)
int8_t | type () const
const char * | data () const
char * | data ()
uint32_t | size () const
bool | operator== (const ext &x) const
bool | operator!= (const ext &x) const
bool | operator< (const ext &x) const
bool | operator> (const ext &x) const

## Friends

class | ext_ref

## Constructor & Destructor Documentation

## ext() [1/4]

msgpack::type::ext::ext | ( |  | ) |

inline

Referenced by ext().

## ext() [2/4]

msgpack::type::ext::ext | ( | int8_t | t,
|  | const char * | p,
|  | uint32_t | s
| ) |  |

inline

## ext() [3/4]

msgpack::type::ext::ext | ( | int8_t | t,
|  | uint32_t | s
| ) |  |

inline

References ext().

## ext() [4/4]

msgpack::type::ext::ext | ( | ext_ref const & | x | ) |

inline

## Member Function Documentation

## data() [1/2]

const char* msgpack::type::ext::data | ( |  | ) | const

inline

Referenced by msgpack::adaptor::pack< msgpack::type::ext >::operator()(), and msgpack::adaptor::object_with_zone< msgpack::type::ext >::operator()().

## data() [2/2]

char* msgpack::type::ext::data | ( |  | ) |

inline

## operator!=()

bool msgpack::type::ext::operator!= | ( | const ext & | x | ) | const

inline

## operator<()

bool msgpack::type::ext::operator< | ( | const ext & | x | ) | const

inline

## operator==()

bool msgpack::type::ext::operator== | ( | const ext & | x | ) | const

inline

## operator>()

bool msgpack::type::ext::operator> | ( | const ext & | x | ) | const

inline

## size()

uint32_t msgpack::type::ext::size | ( |  | ) | const

inline

Referenced by msgpack::adaptor::pack< msgpack::type::ext >::operator()(), msgpack::adaptor::object_with_zone< msgpack::type::ext >::operator()(), msgpack::adaptor::pack< msgpack::type::ext_ref >::operator()(), and msgpack::adaptor::object< msgpack::type::ext_ref >::operator()().

## type()

int8_t msgpack::type::ext::type | ( |  | ) | const

inline

Referenced by msgpack::adaptor::pack< msgpack::type::ext >::operator()(), and msgpack::adaptor::object_with_zone< msgpack::type::ext >::operator()().

## Friends And Related Function Documentation

## ext_ref

friend class ext_ref

friend

The documentation for this class was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v1/adaptor/ext.hpp